Subject: Test environment question
From: Stewart Dean <[email-masked]>
To: Dovecot Mailing List <[email-masked]>
Date: Mon, 22 Sep 2008 13:04:13 -0400

My production DC machine owns the mail filesystems and is running DC 
V1.0.15 and mbox folder format.
I am looking to test V1.1.3 on another machine, which NFS mounts the 
mail filesystems, but has its own local index FS.

I have made this test environment my default connection in TBird, and it 
seems to work just fine.  Also, I have made sure that my TBird client 
isn't connecting to the production server (it has multiple accounts but 
I have turned off the cehck for mail when starting and check for new 
mail every N minutes functions, and then check the ps table to make sure 
there are no imap connections)
However, I'm seeing two errmsgs in the maillog on the test machine:
> Sep 22 11:54:13 egg mail:err|error dovecot: IMAP(sdean): posix_fallocate() faile
> d: Protocol not available
> Sep 22 11:54:13 egg mail:err|error dovecot: IMAP(sdean): file_set_size() failed 
> with mbox file /var/spool/mail/sdean: Protocol not available
which appear to happen AFTER mail arrives at the production server....it 
seems to happen on my test server the next time my client goes to access 
mail AFTER mail has arrived at the production server.  Subsequent client 
requests of the test server execute without error until AFTER the next 
time mail arrives at and my inbox is updated with it.

Again, if I hadn't looked at the logs, I wouldn't know there was a 
problem...I can see my new mail just fine from the test server.

The questions: Is this anything I should be concerned about?  Is this a 
bug or a legit problem coming from my improper use of two servers 
against the same data.

FWIW, I am using fcntl for both mbox read and write locks.  procmail in 
the MDA on the production server, and its locking hierarchy 
<dotlock,fcntl>, which Timo previously approved.

Thanks!

Production  dovecot -n output:
> # 1.0.15: /usr/local/etc/dovecot.conf
> listen: *:143
> ssl_listen: *:993
> disable_plaintext_auth: no
> verbose_ssl: yes
> login_dir: /var/run/dovecot/login
> login_executable: /usr/local/libexec/dovecot/imap-login
> login_processes_count: 12
> login_max_processes_count: 774
> verbose_proctitle: yes
> first_valid_uid: 200
> mail_location: mbox:~/mail:INBOX=/var/spool/mail/%u:INDEX=/var/dcindx/%u
> mbox_write_locks: fcntl
> mbox_dirty_syncs: no
> auth default:
>   passdb:
>     driver: pam
>   userdb:
>     driver: passwd
Test dovecot -n output:
> # 1.1.3: /usr/local/etc/dovecot.conf
> listen: *:143
> ssl_listen: *:993
> disable_plaintext_auth: no
> verbose_ssl: yes
> login_dir: /var/run/dovecot/login
> login_executable: /usr/local/libexec/dovecot/imap-login
> login_processes_count: 12
> login_max_processes_count: 774
> max_mail_processes: 1024
> verbose_proctitle: yes
> first_valid_uid: 200
> mail_location: mbox:~/mail:INBOX=/var/spool/mail/%u:INDEX=/var/dcindx/%u
> mbox_write_locks: fcntl
> mbox_dirty_syncs: no
> auth default:
>   passdb:
>     driver: pam
>   userdb:
>     driver: passwd